Does bzr-eclipse support bzr 2.1.0b4?

Asked by kilroo on 2010-01-21

I'm using bzr-eclipse successfully (at least for the most part...sometimes it seems to run into trouble decorating files) on Eclipse Helios (Eclipse Platform 3.6.0 I20091210-1301) with bzr 2.1.0b3-1-setup installed. If I try to upgrade bzr to 2.1.0b4, the Team context menu for all my bzr-tracked projects ends up with nothing in it but Apply Patch and Disconnect. I'm guessing this is a bug (and therefore I should convert this question into a bug entry)?

Question information

Language:
English Edit question
Status:
Solved
For:
Bazaar Plugin for Eclipse Edit question
Assignee:
No assignee Edit question
Solved by:
kilroo
Solved:
2010-01-25
Last query:
2010-01-25
Last reply:
2010-01-21
Vitaliy Kulikov (slonua) said : #1

it's Eclipse bug

kilroo (weston-geek) said : #2

Well, I was going to ask if there were any more information available than that, since I do not understand the technologies involved well enough either to grasp how bzr could have started exposing a bug in Eclipse that way nor to put together a coherent bug report for Eclipse if it hadn't been reported yet.

However, I just tried 2.1.0rc1 and the problem appears to have gone away. And there was much rejoicing.